Parameters----------data : list<dict>, required [{"name": str, required, "value": dict, required, "reference_id": uuid, optional, "id": uuid, optional cannot conflict, use update if you need to override}, ...]Returns-------success : bool True if successful, false if notmessages : list of str List of human-readable error messagesdata : list<dict>, echo your added data with assigned uuids
add_custom_data › Request Body
data
string
add_custom_data › Responses
200
success
boolean
message
string[]
data
object
delete_custom_data
POST
/api/v2/custom_data/delete_custom_data
Deletes custom data record(s)
Code
Parameters----------ids : list<UUID>, required UUIDs of CustomData records to be deletedReturns-------success : bool True if successful, false if notmessages : list of str List of human-readable error messagesdata : dict {"deleted": ['uuids', 'deleted', 'records'], "notfound": ['uuids', 'not', 'found']}
delete_custom_data › Request Body
ids
string
delete_custom_data › Responses
200
success
boolean
message
string[]
data
object
get_custom_data
POST
/api/v2/custom_data/get_custom_data
Queries existing CustomData record(s)
Code
Parameters----------id : uuid, optionalids : list<uuid>, optionalname : str, optionalreference_id : uuid, optionalReturns-------success : bool True if successful, false if notmessages : list of str List of human-readable error messagesdata : list<dict>, found CustomData results
get_custom_data › Request Body
id
string
ids
string
name
string
reference_id
string
get_custom_data › Responses
200
success
boolean
message
string[]
data
object
summarize_custom_data
POST
/api/v2/custom_data/summarize_custom_data
Summarized counts of CustomData records grouped by name order by count descending
Code
Returns-------success : bool True if successful, false if notdata : list [["name", count], ["name2", count2], ...]
summarize_custom_data › Request Body
summarize_custom_data › Responses
200
success
boolean
message
string[]
data
object
update_custom_data
POST
/api/v2/custom_data/update_custom_data
Updates existing CustomData record(s)
Code
Parameters----------data : dict<dict>, required {"existing uuid": {"value": dict, keys will be updated by default, "replace_value": bool, optional, if true then value will replace rather than update "reference_id": uuid, optional, "name": str, optional }, ...}Returns-------success : bool True if successful, false if notmessages : list of str List of human-readable error messagesdata : dict {"updated": ['uuids', 'updated', 'records'], "notfound": ['uuids', 'not', 'found']}